Bug 502986 - Review Request: ytree- A filemanager similar to XTree
Review Request: ytree- A filemanager similar to XTree
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
: 502987 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 02:06 EDT by Minto Joseph
Modified: 2013-11-17 20:47 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.92-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 15:27:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Minto Joseph 2009-05-28 02:06:08 EDT
Spec URL: http://mintojoseph.fedorapeople.org/packages/newguide/ytree.spec
SRPM URL: http://mintojoseph.fedorapeople.org/packages/newguide/ytree-1.92-1.src.rpm
Description: 
A console based file manager in the tradition of Xtree.
Comment 1 Dan Horák 2009-05-28 02:19:40 EDT
*** Bug 502987 has been marked as a duplicate of this bug. ***
Comment 2 Parag AN(पराग) 2009-05-28 03:33:51 EDT
1)  Add dist tag as per given at http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Using_the_.25.7B.3Fdist.7D_Tag
2) As README clearly said license is as per given in COPYING so change it to GPLv2+
3) %build should be
make CFLAGS="$RPM_OPT_FLAGS" DESTDIR="%{_prefix}"

4)Use macros in %install section. Look https://fedoraproject.org/wiki/Packaging/RPMMacros
5) Don't add user and group while using install commands for ytree and ytree.1 in %install
6) Remove %post
7) Change Source to
Source0: http://www.han.de/~werner/%{name}-%{version}.tar.gz
8) Change readline BR as
BuildRequires: readline-devel >= 4.3
Comment 3 Susi Lehtola 2009-05-28 04:09:30 EDT
9) Use -p to conserve time stamps in install.
10) Don't use -s, stripping is done automatically by rpm (this is what creates the -debuginfo package).
Comment 5 Susi Lehtola 2009-05-28 06:03:13 EDT
- You don't need DESTDIR="%{_prefix}" in the build phase.

- Remove the commented
 #make install DESTDIR=$RPM_BUILD_ROOT
line.

- You can drop
 mkdir -p $RPM_BUILD_ROOT/%{_bindir}
 mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
if you add the -D flag to install (you have to use
 install -m755 -D -p ytree $RPM_BUILD_ROOT/%{_bindir}/ytree
though).

- Don't tab the buildroot line, if you're not tabbing the other ones either.
Comment 6 Susi Lehtola 2009-05-28 06:11:03 EDT
- I don't think the man page should be listed as %doc.

**

rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK

MUST: The spec file for the package is legible and macros are used consistently. NEEDSWORK
- See comments above.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. OK
- License of ytree is GPL+, but the tarball also contains a couple of files ({tilde,xmalloc}.{c,h}) from GNU readline that are licensed GPLv2+, thus license is GPLv2+.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 8 Susi Lehtola 2009-05-28 08:27:02 EDT
Yes, now it looks very clean. The package has been

APPROVED
Comment 9 Minto Joseph 2009-05-28 09:34:52 EDT
New Package CVS Request
=======================
Package Name: ytree
Short Description: A filemanager similar to XTree
Owners: mintojoseph
Branches: F-11
InitialCC:
Cvsextras Commits: yes
Comment 10 Susi Lehtola 2009-05-28 09:43:13 EDT
No F10?!
Comment 11 Minto Joseph 2009-05-28 09:47:04 EDT
New Package CVS Request
=======================
Package Name: ytree
Short Description: A filemanager similar to XTree
Owners: mintojoseph
Branches: F-10,F-11
InitialCC:
Cvsextras Commits: yes
Comment 12 Jason Tibbitts 2009-06-01 14:26:08 EDT
CVS done.
Comment 13 Fedora Update System 2009-06-02 04:24:02 EDT
ytree-1.92-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ytree-1.92-3.fc11
Comment 14 Fedora Update System 2009-06-02 05:58:06 EDT
ytree-1.92-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ytree-1.92-3.fc10
Comment 15 Fedora Update System 2009-06-04 17:15:51 EDT
ytree-1.92-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ytree'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5874
Comment 16 Fedora Update System 2009-06-04 17:24:09 EDT
ytree-1.92-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ytree'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5967
Comment 17 Fedora Update System 2009-06-24 15:27:24 EDT
ytree-1.92-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-06-24 15:44:44 EDT
ytree-1.92-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.